## org.exist.ant
Class RestoreTask

    java.lang.Object
      org.apache.tools.ant.ProjectComponent
          org.apache.tools.ant.Task
              org.exist.ant.AbstractXMLDBTask
                  org.exist.ant.RestoreTask

public class RestoreTask
extends AbstractXMLDBTask

Author:
  wolf

Constructor Summary
`RestoreTask()`

Method Summary
`org.apache.tools.ant.types.DirSet` `createDirSet()`
`void` `execute()`
`void` `setDir(java.io.File dir)`
`void` `setRestorePassword(java.lang.String pass)`

Methods inherited from class org.exist.ant.AbstractXMLDBTask
`setDriver, setFailonerror, setInitdb, setPassword, setUri, setUser`

Methods inherited from class org.apache.tools.ant.Task
`getDescription, getLocation, getOwningTarget, getRuntimeConfigurableWrapper, getTaskName, getTaskType, init, log, log, maybeConfigure, perform, reconfigure, setDescription, setLocation, setOwningTarget, setRuntimeConfigurableWrapper, setTaskName, setTaskType`

Methods inherited from class org.apache.tools.ant.ProjectComponent
`getProject, setProject`

Methods inherited from class java.lang.Object
`equals, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### RestoreTask

    public RestoreTask()

Method Detail

### execute

    public void execute()
                 throws org.apache.tools.ant.BuildException

  Throws:
    `org.apache.tools.ant.BuildException`

### createDirSet

    public org.apache.tools.ant.types.DirSet createDirSet()

### setDir

    public void setDir(java.io.File dir)

  Parameters:
    `dir` -

### setRestorePassword

    public void setRestorePassword(java.lang.String pass)

Copyright (C) Wolfgang Meier. All rights reserved.